Bug 251335 - graphics/fractgen needs update to 2.1.10 + patches
Summary: graphics/fractgen needs update to 2.1.10 + patches
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Adriaan de Groot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-23 20:33 UTC by Adriaan de Groot
Modified: 2021-01-06 00:59 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (dreibh)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adriaan de Groot freebsd_committer 2020-11-23 20:33:04 UTC
There have been 3 releases of fractgen since it was added to ports. I've just patched the 2.1.7 release for Qt 5.15.2, but it'd be nice to just catch up with upstream releases. Note that there is a PR (against 2.1.10) specifically for Qt 5.15.2 compatibility, so there's more to do than just update to that release.
Comment 1 Fernando Apesteguía freebsd_committer 2020-11-24 07:14:29 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 2 commit-hook freebsd_committer 2021-01-06 00:39:26 UTC
A commit references this bug:

Author: adridg
Date: Wed Jan  6 00:38:45 UTC 2021
New revision: 560461
URL: https://svnweb.freebsd.org/changeset/ports/560461

Log:
  Update graphics/fractgen to latest upstream release

  The release is a month or two old by now. Some Qt 5.15.2 patches
  have landed in the release, but not all of them. New translations
  require additional dependencies and patching in the right directory
  to search (PREFIX/share).

  There are no useful release notes for this release.

  PR:		251335

Changes:
  head/graphics/fractgen/Makefile
  head/graphics/fractgen/distinfo
  head/graphics/fractgen/files/patch-git-48cf904f47d9eb3819e6e5f6c19feaae0a3bf901.diff
  head/graphics/fractgen/files/patch-src_CMakeLists.txt
  head/graphics/fractgen/files/patch-src_colorschemeinterface.cc
  head/graphics/fractgen/files/patch-src_fractalalgorithminterface.cc
  head/graphics/fractgen/files/patch-src_fractalgenerator.cc
  head/graphics/fractgen/files/patch-src_fractgen.cc
  head/graphics/fractgen/files/patch-src_imagedisplay.cc
  head/graphics/fractgen/files/patch-src_imagedisplay.h
  head/graphics/fractgen/pkg-plist
Comment 3 Adriaan de Groot freebsd_committer 2021-01-06 00:59:15 UTC
Committed an own update and reported the FreeBSD patches upstream.